Description: Make builds reproducible
 Don't use __DATE__ __TIME__. Use changelog date instead.
 Sort exported symbols.
Author: Jean-Michel Vourgère <nirgal@debian.org>
Forwarded: no
Last-Update: 2015-08-11

--- a/server/buildmark.c
+++ b/server/buildmark.c
@@ -17,11 +17,7 @@
 #include "ap_config.h"
 #include "httpd.h"
 
-#if defined(__DATE__) && defined(__TIME__)
-static const char server_built[] = __DATE__ " " __TIME__;
-#else
-static const char server_built[] = "unknown";
-#endif
+static const char server_built[] = "";
 
 AP_DECLARE(const char *) ap_get_server_built()
 {
--- a/server/Makefile.in
+++ b/server/Makefile.in
@@ -1,3 +1,4 @@
+export LC_ALL = C
 
 CLEAN_TARGETS = gen_test_char test_char.h \
 	ApacheCoreOS2.def httpd.exp export_files \
@@ -87,8 +88,8 @@ httpd.exp: exports.c export_vars.h
 	@echo "#! ." > $@
 	@echo "* This file was AUTOGENERATED at build time." >> $@
 	@echo "* Please do not edit by hand." >> $@
-	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | grep -v apr_ | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
-	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | grep -v apr_ | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@
+	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | grep -v apr_ | sed -e 's/^.*[)]\(.*\);$$/\1/' | sort >> $@
+	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | grep -v apr_ | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' | sort >> $@
 
 
 #   developer stuff
